id: bynder-panel

info:
  name: Bynder Login Panel - Detect
  author: righettod
  severity: info
  description: |
    Bynder login panel was detected.
  reference:
    - https://www.bynder.com/en/
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.favicon.hash:1017650009
  tags: panel,bynder,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}/login/"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(to_lower(body), "bynder.", "bynder brand portal", "bynder login")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - 'http-equiv="version"\s+content="([0-9\.]+)"'
# digest: 4b0a00483046022100aeb6c0bbcf9e397bc05e5ff004d437ccbd6053fda11802e1379af225e7395dca022100c10209d11e0da2529cf14c5e4350595c2fbdcfe53cf73d608f785f0b3ebb13b3:922c64590222798bb761d5b6d8e72950